import { O as e, __tla as __tla_0 } from "./App-CBFr3ZEW.js";
let i, o;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    let t = null;
    function n() {
        try {
            t = chrome.runtime.connect({
                name: e
            }), t.onDisconnect.addListener(()=>{
                t = null, setTimeout(n, 1e3);
            });
        } catch  {}
    }
    o = function() {
        n();
    };
    i = function() {
        if (t) {
            try {
                t.disconnect();
            } catch  {}
            t = null;
        }
    };
});
export { i as a, o as s, __tla };
